.card {
    position: relative;

    &__main {
        z-index: 10;
        background: white;
        position: relative;
        border-radius: rem(22);
        padding: rem(16) rem(24);
    }

    &__header {
        margin-bottom: rem(16);
        display: flex;
        flex-direction: column;
        column-gap: rem(16);
        row-gap: rem(16);
    }

    &__scores {
        display: flex;
        align-items: center;
    }

    &__score {
        color: var(--rose);
        height: rem(24);
        font-weight: 500;
        font-size: rem(14);
        line-height: rem(18);
        border-radius: rem(20);
        padding: 0 rem(16);
        min-width: rem(100);
        text-transform: uppercase;
        border: 1px solid var(--rose);
        font-family: var(--font-secondary);
        display: flex;
        align-items: center;
        justify-content: center;

        &--rose {
            color: white;
            background: var(--rose);
        }
    }

    &__question {
        line-height: 140%;
        font-size: rem(15);
        color: black;
    }

    &__hints {
        z-index: 1;
        margin-top: -20px;
    }

    @include media-breakpoint-up(md) {

        &__main {
            padding: rem(24);
        }

        &__header {
            margin-bottom: rem(32);
            flex-direction: row-reverse;
        }

        &__question {
            flex-grow: 1;
            line-height: 1.5;
            font-size: rem(16);
        }
    }
}

.answer {

    &__main {
        display: flex;
        flex-direction: column;
        row-gap: rem(16);
        column-gap: rem(24);
    }

    &__field {
        $input-selector: "input[type=text], input[type=email], input[type=password],input[type=number], textarea";
    }

    &__button {
        width: 100%;
        border: none;
        outline: none;
        cursor: pointer;
        height: rem(44);
        font-weight: 500;
        font-size: rem(15);
        line-height: rem(20);
        border-radius: rem(10);
        font-family: var(--font-secondary);
        display: flex;
        align-items: center;
        justify-content: center;
        transition: var(--transition-time);

        color: #85959E;
        background: var(--gray-200);

        &:after {
            content: attr(data-answer-base);
        }
    }

    &__field {
        margin: 0;
        width: 100%;
        height: rem(44);
        border: none;
        outline: none;
        color: var(--black);
        box-shadow: none;
        font-weight: 400;
        font-size: rem(17);
        line-height: rem(21);
        padding: 11px 0;
        background: #fff;
        display: inline-block;
        vertical-align: middle;
        font-family: var(--font-primary);
        border-bottom: 1px solid #85959E;
        @include placeholder(#85959E);

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            color: black;
            @include placeholder(transparent);
            border-bottom-color: var(--green);
            font-family: var(--font-secondary);
        }

        &.error {
            color: var(--red) !important;
            font-family: var(--font-primary) !important;
            border-color: var(--red) !important;
        }

        &--focus {

        }
    }

    &__success {
        height: rem(44);
        color: var(--green);
        font-weight: 500;
        font-size: rem(15);
        line-height: rem(20);
        border-radius: 12px;
        padding: rem(4) rem(20) rem(4) rem(44);
        font-family: var(--font-secondary);
        background: var(--green-light);
        position: relative;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            top: 0;
            left: 0;
            width: rem(44);
            height: rem(44);
            display: block;
            position: absolute;
        }
    }

    &__info {
        display: none;
        font-size: rem(13);
        line-height: rem(20);
        margin-top: rem(16);

        &--error {
            color: var(--red);
        }
    }

    &--success {

        .answer {

            &__field {
                color: var(--green);
                font-family: var(--font-secondary);
                border-bottom-color: var(--green);

                &:disabled {
                    color: var(--green);
                    border-bottom-color: var(--green);
                }
            }
        }
    }

    &--focus {

        .answer {

            &__field {
                outline: none;
                color: black;
                @include placeholder(transparent);
                border-bottom-color: var(--green);
                font-family: var(--font-secondary);
            }

            &__button {
                color: white;
                background: var(--green);

                &:after {
                    content: attr(data-answer-success);
                }

                &:hover {
                    color: white;
                    background: #00b464;
                    transition: var(--transition-time);
                }

                &:active {
                    color: white;
                    background: var(--green);
                }
            }
        }
    }

    &--error {

        .answer {

            &__field {
                color: var(--red) !important;
                border-color: var(--red) !important;
            }

            &__button {
                color: #85959E !important;
                background: var(--gray-200) !important;

                &:after {
                    content: attr(data-answer-base) !important;
                }

                &:hover {
                    color: white;
                    background: var(--gray);
                    transition: var(--transition-time);
                }

                &:active {
                    color: white;
                    background: var(--green);
                }
            }

            &__info {
                display: block;
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__main {
            flex-direction: row;
            align-items: center;
        }

        &__input {
            width: rem(254);
            flex-shrink: 0;
        }

        &__action {
            min-width: rem(224);
        }

        &__success {
            white-space: nowrap;
            padding-left: rem(54);
            padding-right: rem(20);
        }
    }
}

.hints {
    display: flex;
    flex-direction: column;
    row-gap: 1px;

    > * {

        &:first-child {
            padding-top: rem(30);
        }
    }

    &__item {

    }

    &__action {
        background: #D7EEDF;
        padding: rem(10) rem(16);
        border-radius: rem(20);

        &.disabled {
            background: #F0F2F5;
        }
    }

    &__toggle {
        margin: 0;
        padding: 0;
        border: none;
        outline: none;
        cursor: pointer;
        color: var(--green);
        font-size: rem(16);
        line-height: rem(24);
        text-decoration: none;
        display: inline-block;
        background: transparent;

        &:hover {
            color: var(--green);
            text-decoration: underline;
        }
    }

    &__item {
        color: black;
        font-size: rem(15);
        line-height: 140%;
        background: #D7EEDF;
        padding: rem(10) rem(16);
        border-radius: rem(20);

        p {
            margin-bottom: rem(12);

            &:last-child {
                margin-bottom: 0;
            }
        }
    }

    &__text {
        color: var(--black);
        font-size: rem(15);
        line-height: 140%;
    }

    @include media-breakpoint-up(md) {

        > * {

            &:first-child {
                padding-top: rem(32);
            }
        }

        &__item  {
            padding: rem(24);
            font-size: rem(16);
            line-height: 1.5;
            border-radius: rem(20);

            p {
                margin-bottom: rem(16);

                &:last-child {
                    margin-bottom: 0;
                }
            }
        }

        &__action {
            padding-left: rem(24);
            padding-right: rem(24);
            border-radius: rem(20);
        }

        &__toggle {
            font-size: rem(16);
        }

        &__text {
            font-size: rem(16);
            line-height: 1.5
        }
    }
}
